Provides extra availabilities matching the session context.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/search/extrasconst url = 'https://{apiBaseUrl}/v2/{sessionId}/search/extras';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/search/extras"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/search/extras",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/search/extras");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/search/extras")
.asString();{
"roomExtras": [
{
"roomId": 1234,
"extraId": 0,
"rateId": 0,
"isMandatory": false,
"isPreselected": false,
"description": {
"summary": [
{
"text": "A continental breakfast can be served in your room between 7am and 10.30am.",
"value": "PlainText"
}
],
"pictures": [],
"counting": {
"text": "per person per day",
"value": "PersonDay"
},
"type": {
"value": "Undefined"
}
},
"gratuitousnessType": {
"value": "None"
},
"price": {
"unitPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"unitCrossedOutPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"totalPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"crossedOutPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"discountType": "None"
},
"taxes": {
"included": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"excluded": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"onSite": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
}
},
"items": [],
"sortOrder": 0,
"guestPosition": 0
}
],
"hotelExtras": [
{
"roomId": 0,
"extraId": 1,
"rateId": 0,
"name": "Breakfast",
"isMandatory": false,
"isPreselected": false,
"description": {
"summary": [
{
"text": "A continental breakfast can be served in your room between 7am and 10.30am.",
"value": "PlainText"
}
],
"pictures": [],
"counting": {
"text": "per person per day",
"value": "PersonDay"
},
"type": {
"value": "Undefined"
}
},
"gratuitousnessType": {
"value": "None"
},
"price": {
"unitPrice": {
"converted": {
"text": "5 €",
"value": {
"amount": 5,
"currency": "EUR"
}
},
"original": {
"text": "USD 6",
"value": {
"amount": 6,
"currency": "USD"
}
}
},
"unitCrossedOutPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"totalPrice": {
"converted": {
"text": "10 €",
"value": {
"amount": 10,
"currency": "EUR"
}
},
"original": {
"text": "USD 12",
"value": {
"amount": 12,
"currency": "USD"
}
}
},
"crossedOutPrice": {
"converted": {
"text": "15 €",
"value": {
"amount": 15,
"currency": "EUR"
}
},
"original": {
"text": "USD 18",
"value": {
"amount": 18,
"currency": "USD"
}
}
},
"discountType": "CrossedOut"
},
"taxes": {
"included": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"excluded": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"onSite": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
}
},
"items": [
{
"isDefault": false,
"quantity": {
"text": "Breakfast for 1 person",
"value": 1
},
"price": {
"totalPrice": {
"converted": {
"text": "10 €",
"value": {
"amount": 10,
"currency": "EUR"
}
},
"original": {
"text": "USD 12",
"value": {
"amount": 12,
"currency": "USD"
}
}
},
"crossedOutPrice": {
"converted": {
"text": "15 €",
"value": {
"amount": 15,
"currency": "EUR"
}
},
"original": {
"text": "USD 18",
"value": {
"amount": 18,
"currency": "USD"
}
}
},
"discountType": "CrossedOut"
}
},
{
"isDefault": true,
"quantity": {
"text": "Breakfast for 2 persons",
"value": 2
},
"price": {
"totalPrice": {
"converted": {
"text": "20 €",
"value": {
"amount": 20,
"currency": "EUR"
}
},
"original": {
"text": "USD 24",
"value": {
"amount": 24,
"currency": "USD"
}
}
},
"crossedOutPrice": {
"converted": {
"text": "30 €",
"value": {
"amount": 30,
"currency": "EUR"
}
},
"original": {
"text": "USD 36",
"value": {
"amount": 36,
"currency": "USD"
}
}
},
"discountType": "CrossedOut"
}
}
],
"sortOrder": 0,
"guestPosition": 0
}
]
}{
"code": "InvalidHotelId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Search
Provides extra availabilities
Provides extra availabilities matching the session context
GET
/
v2
/
{sessionId}
/
search
/
extras
Provides extra availabilities matching the session context.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/search/extrasconst url = 'https://{apiBaseUrl}/v2/{sessionId}/search/extras';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/search/extras"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/search/extras",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/search/extras");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/search/extras")
.asString();{
"roomExtras": [
{
"roomId": 1234,
"extraId": 0,
"rateId": 0,
"isMandatory": false,
"isPreselected": false,
"description": {
"summary": [
{
"text": "A continental breakfast can be served in your room between 7am and 10.30am.",
"value": "PlainText"
}
],
"pictures": [],
"counting": {
"text": "per person per day",
"value": "PersonDay"
},
"type": {
"value": "Undefined"
}
},
"gratuitousnessType": {
"value": "None"
},
"price": {
"unitPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"unitCrossedOutPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"totalPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"crossedOutPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"discountType": "None"
},
"taxes": {
"included": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"excluded": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"onSite": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
}
},
"items": [],
"sortOrder": 0,
"guestPosition": 0
}
],
"hotelExtras": [
{
"roomId": 0,
"extraId": 1,
"rateId": 0,
"name": "Breakfast",
"isMandatory": false,
"isPreselected": false,
"description": {
"summary": [
{
"text": "A continental breakfast can be served in your room between 7am and 10.30am.",
"value": "PlainText"
}
],
"pictures": [],
"counting": {
"text": "per person per day",
"value": "PersonDay"
},
"type": {
"value": "Undefined"
}
},
"gratuitousnessType": {
"value": "None"
},
"price": {
"unitPrice": {
"converted": {
"text": "5 €",
"value": {
"amount": 5,
"currency": "EUR"
}
},
"original": {
"text": "USD 6",
"value": {
"amount": 6,
"currency": "USD"
}
}
},
"unitCrossedOutPrice": {
"converted": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"original": {
"value": {
"amount": 0,
"currency": "EUR"
}
}
},
"totalPrice": {
"converted": {
"text": "10 €",
"value": {
"amount": 10,
"currency": "EUR"
}
},
"original": {
"text": "USD 12",
"value": {
"amount": 12,
"currency": "USD"
}
}
},
"crossedOutPrice": {
"converted": {
"text": "15 €",
"value": {
"amount": 15,
"currency": "EUR"
}
},
"original": {
"text": "USD 18",
"value": {
"amount": 18,
"currency": "USD"
}
}
},
"discountType": "CrossedOut"
},
"taxes": {
"included": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"excluded": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"onSite": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
}
},
"items": [
{
"isDefault": false,
"quantity": {
"text": "Breakfast for 1 person",
"value": 1
},
"price": {
"totalPrice": {
"converted": {
"text": "10 €",
"value": {
"amount": 10,
"currency": "EUR"
}
},
"original": {
"text": "USD 12",
"value": {
"amount": 12,
"currency": "USD"
}
}
},
"crossedOutPrice": {
"converted": {
"text": "15 €",
"value": {
"amount": 15,
"currency": "EUR"
}
},
"original": {
"text": "USD 18",
"value": {
"amount": 18,
"currency": "USD"
}
}
},
"discountType": "CrossedOut"
}
},
{
"isDefault": true,
"quantity": {
"text": "Breakfast for 2 persons",
"value": 2
},
"price": {
"totalPrice": {
"converted": {
"text": "20 €",
"value": {
"amount": 20,
"currency": "EUR"
}
},
"original": {
"text": "USD 24",
"value": {
"amount": 24,
"currency": "USD"
}
}
},
"crossedOutPrice": {
"converted": {
"text": "30 €",
"value": {
"amount": 30,
"currency": "EUR"
}
},
"original": {
"text": "USD 36",
"value": {
"amount": 36,
"currency": "USD"
}
}
},
"discountType": "CrossedOut"
}
}
],
"sortOrder": 0,
"guestPosition": 0
}
]
}{
"code": "InvalidHotelId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
The properties required in the response.
Mime type of the descriptions.
The picture templates.
Path Parameters
Was this page helpful?